package cn.iocoder.yudao.module.wms.dal.dataobject.depot;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 仓库管理 DO
 *
 * @author 艾楷
 */
@TableName("wms_depot")
@KeySequence("wms_depot_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DepotDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 仓库名称
     */
    private String depotName;
    /**
     * 仓库编号
     */
    private String depotNo;
    /**
     * 负责人
     */
    private String principal;
    /**
     * 联系电话
     */
    private String phone;

}