package cn.iocoder.yudao.module.wms.service.depot;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.transaction.annotation.Transactional;

import java.util.*;
import cn.iocoder.yudao.module.wms.controller.admin.depot.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.depot.DepotDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;

import cn.iocoder.yudao.module.wms.dal.mysql.depot.DepotMapper;

import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;
import static cn.iocoder.yudao.module.wms.enums.ErrorCodeConstants.*;

/**
 * 仓库管理 Service 实现类
 *
 * @author 艾楷
 */
@Service
@Validated
public class DepotServiceImpl implements DepotService {

    @Resource
    private DepotMapper depotMapper;

    @Override
    public Long createDepot(DepotSaveReqVO createReqVO) {
        // 插入
        DepotDO depot = BeanUtils.toBean(createReqVO, DepotDO.class);
        depotMapper.insert(depot);
        // 返回
        return depot.getId();
    }

    @Override
    public void updateDepot(DepotSaveReqVO updateReqVO) {
        // 更新
        DepotDO updateObj = BeanUtils.toBean(updateReqVO, DepotDO.class);
        depotMapper.updateById(updateObj);
    }

    @Override
    public void deleteDepot(Long id) {
        // 删除
        depotMapper.deleteById(id);
    }

    @Override
    public DepotDO getDepot(Long id) {
        return depotMapper.selectById(id);
    }

    @Override
    public PageResult<DepotDO> getDepotPage(DepotPageReqVO pageReqVO) {
        return depotMapper.selectPage(pageReqVO);
    }

}
