package cn.iocoder.yudao.module.wms.service.depotarea;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.transaction.annotation.Transactional;

import java.util.*;
import cn.iocoder.yudao.module.wms.controller.admin.depotarea.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.depotarea.DepotAreaDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;

import cn.iocoder.yudao.module.wms.dal.mysql.depotarea.DepotAreaMapper;

import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;
import static cn.iocoder.yudao.module.wms.enums.ErrorCodeConstants.*;

/**
 * 库区管理 Service 实现类
 *
 * @author 艾楷
 */
@Service
@Validated
public class DepotAreaServiceImpl implements DepotAreaService {

    @Resource
    private DepotAreaMapper depotAreaMapper;

    @Override
    public Long createDepotArea(DepotAreaSaveReqVO createReqVO) {
        // 插入
        DepotAreaDO depotArea = BeanUtils.toBean(createReqVO, DepotAreaDO.class);
        depotAreaMapper.insert(depotArea);
        // 返回
        return depotArea.getId();
    }

    @Override
    public void updateDepotArea(DepotAreaSaveReqVO updateReqVO) {
        // 更新
        DepotAreaDO updateObj = BeanUtils.toBean(updateReqVO, DepotAreaDO.class);
        depotAreaMapper.updateById(updateObj);
    }

    @Override
    public void deleteDepotArea(Long id) {
        // 删除
        depotAreaMapper.deleteById(id);
    }

    @Override
    public DepotAreaDO getDepotArea(Long id) {
        return depotAreaMapper.selectById(id);
    }

    @Override
    public PageResult<DepotAreaDO> getDepotAreaPage(DepotAreaPageReqVO pageReqVO) {
        return depotAreaMapper.selectPage(pageReqVO);
    }

}
